Piloterr

arXiv Search

GET
/v2/arxiv/search

Search arXiv papers by keyword, author query such as au:einstein, or arXiv id. A paper URL returns 400. Page through results when the match count is large.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Required. Keyword, fielded query such as au:einstein, arXiv id, or an arxiv.org search URL. Example: electron. A paper URL such as https://arxiv.org/abs/2201.00978 returns 400.

page?number

Optional. Page number from 1. Example: 2. Defaults to 1. Each page has 10 papers.

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/arxiv/search?query=string'
Example Response
{  "results": [    {      "doi": null,      "url": "https://arxiv.org/abs/cond-mat/0011267v1",      "title": "The electronic structure of cuprates from high energy spectroscopy",      "authors": [        {          "name": "Mark S. Golden",          "affiliation": null        },        {          "name": "Christian Duerr",          "affiliation": null        },        {          "name": "Andreas Koitzsch",          "affiliation": null        },        {          "name": "Sibylle Legner",          "affiliation": null        },        {          "name": "Zhiwei Hu",          "affiliation": null        },        {          "name": "Sergey Borisenko",          "affiliation": null        },        {          "name": "Martin Knupfer",          "affiliation": null        },        {          "name": "Joerg Fink",          "affiliation": null        }      ],      "comment": "J. Electron Spec. Relat. Phenom.: special issue on electron correlation, in press",      "pdf_url": "https://arxiv.org/pdf/cond-mat/0011267v1",      "updated": "2000-11-15T16:19:15Z",      "version": 1,      "abstract": "We report studies of the electronic structure and elementary excitations of doped and undoped cuprate chains, ladders and planes. Using high energy spectroscopies such as x-ray absorption, core level photoemission and angle resolved photoemission spectroscopy, important information regarding the charge distribution and hole dynamics can be obtained. The comparison of the experimental data with suitable theoretical models sets constraints on the parameters entering into the model calculations, and offers insight into the important physical quantities governing the electronic structure of these materials. Recurring themes include the importance of the dimensionality of the Cu-O network (1D->2D) and the crucial role played by the spin-background in determining the dynamics of low-lying excitations in these strongly correlated systems.",      "arxiv_id": "cond-mat/0011267",      "published": "2000-11-15T16:19:15Z",      "categories": [        "cond-mat.supr-con",        "cond-mat.str-el"      ],      "journal_ref": "J. Electron Spectr. Relat. Phenom. 117-118, 203 (2001)",      "primary_category": "cond-mat.supr-con"    }  ],  "pagination": {    "next": "https://arxiv.org/search/?searchtype=all&query=electron&start=10",    "page": 1,    "per_page": 10,    "total_pages": 18823,    "total_results": 188230  }}